USRP Hardware Driver and USRP Manual: uhd::analog_filter_lp Class Reference

| USRP Hardware Driver and USRP Manual Version: 4.9.0.makepkg-0-g9ec1f582 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd::analog_filter_lp Class Reference

`#include <uhd/types/filters.hpp>`

Inheritance diagram for uhd::analog_filter_lp:

## Public Types
typedef std::shared_ptr< analog_filter_lp > | sptr
Public Types inherited from uhd::analog_filter_base
typedef std::shared_ptr< analog_filter_base > | sptr
Public Types inherited from uhd::filter_info_base
enum | filter_type { ANALOG_LOW_PASS , ANALOG_BAND_PASS , DIGITAL_I16 , DIGITAL_FIR_I16 }
typedef std::shared_ptr< filter_info_base > | sptr

## Public Member Functions
| analog_filter_lp (filter_type type, bool bypass, size_t position_index, const std::string &analog_type, double cutoff, double rolloff)
UHD_INLINE double | get_cutoff ()
UHD_INLINE double | get_rolloff ()
UHD_INLINE void | set_cutoff (const double cutoff)
std::string | to_pp_string () override
Public Member Functions inherited from uhd::analog_filter_base
| analog_filter_base (filter_type type, bool bypass, size_t position_index, const std::string &analog_type)
UHD_INLINE const std::string & | get_analog_type ()
Public Member Functions inherited from uhd::filter_info_base
| filter_info_base (filter_type type, bool bypass, size_t position_index)
virtual UHD_INLINE bool | is_bypassed ()
UHD_INLINE filter_type | get_type ()
virtual | ~filter_info_base ()

## Additional Inherited Members
Protected Attributes inherited from uhd::filter_info_base
filter_type | _type
bool | _bypass
size_t | _position_index

## Member Typedef Documentation

## ◆ sptr

typedef std::shared_ptr<analog_filter_lp> uhd::analog_filter_lp::sptr

## Constructor & Destructor Documentation

## ◆ analog_filter_lp()

uhd::analog_filter_lp::analog_filter_lp | ( | filter_type | type,
|  | bool | bypass,
|  | size_t | position_index,
|  | const std::string & | analog_type,
|  | double | cutoff,
|  | double | rolloff )
| inline

## Member Function Documentation

## ◆ get_cutoff()

UHD_INLINE double uhd::analog_filter_lp::get_cutoff | ( |  | ) |
| inline

## ◆ get_rolloff()

UHD_INLINE double uhd::analog_filter_lp::get_rolloff | ( |  | ) |
| inline

## ◆ set_cutoff()

UHD_INLINE void uhd::analog_filter_lp::set_cutoff | ( | const double | cutoff | ) |
| inline

## ◆ to_pp_string()

std::string uhd::analog_filter_lp::to_pp_string | ( |  | ) |
| overridevirtual

Reimplemented from uhd::analog_filter_base.

The documentation for this class was generated from the following file:

- filters.hpp